(
	b3d_export "viewer"
	
	plugcfgPath = GetDir #plugcfg
	pluginPath = GetDir #maxroot +"plugins\\"
	iniFile = plugcfgPath +"\\B3dViewer.ini"
	iniPrj = plugcfgPath +"\\B3dProjects.ini"
	
	--print iniFile
		
	--Parameters
	file = "temp.b3d"
		
		----------------------------------------------------------------------
	--Launch viewer

	if (getFiles iniFile).count != 0 then
	(
		size = (getINISetting iniFile "Viewer" "Resolution" as integer)	
		case size of
		(
			1: xres = 640 as string
			2: xres = 800 as string
			3: xres = 1024 as string
		)
		case size of
		(
			1: yres = 480 as string
			2: yres = 600 as string
			3: yres = 768 as string
		)
		bit = (getINISetting iniFile "Viewer" "Bitdepth" as integer)
		case bit of
		(
			1: bits = 16 as string
			2: bits = 24 as string
			3: bits = 32 as string
		)
		mode = getINISetting iniFile "Viewer" "Mode"
		camnear = getINISetting iniFile "Viewer" "CamNear"
		camfar = getINISetting iniFile "Viewer" "CamFar"
		camfov = getINISetting iniFile "Viewer" "CamFOV"
		mouse = getINISetting iniFile "Viewer" "Mouse"
		move = getINISetting iniFile "Viewer" "Move" 
		scroll = getINISetting iniFile "Viewer" "Scroll"
		fps = getINISetting iniFile "Viewer" "FPS"
	)
	else 
	(
		xres = 640 as string
		yres = 480 as string
		bits = 24 as string
		mode = 2 as string
		camnear = 1 as string
		camfar = 1000 as string
		camfov = 45 as string
		mouse = 1 as string
		move = 1 as string
		scroll = 1 as string
		fps = 30 as string
	)

	project = ""
	if (getFiles iniPrj).count != 0 then
	(
		file = openFile iniPrj
		if (file!=undefined) then
		(
			readLine file
			project = readLine file
		)
	)

	cmndline = "-file temp.b3d -xres "+ xres +" -yres "+ yres + 
				" -bits "+ bits +" -mode "+ mode+
				" -camnear "+camnear+" -camfar "+ camfar+
				" -camfov "+camfov+" -mouse "+mouse+
				" -move "+move+" -scroll "+scroll+

				" -fps "+fps+
				" -project "+project
	
	--print cmndline
	pluginPath = GetDir #maxroot +"plugins\\"
	ShellLaunch (pluginPath + "b3dviewer.exe ") cmndline
)
